// ------------------------------------------------------------------------------------------ //
//                    T R I X E M A B O A R D   I N D I C A T O R                             //
//                          by fosgate_r     January 2009                                    //
//                      URL : http://forexfreeea.blogspot.com/                                //
// ------------------------------------------------------------------------------------------ //


#property copyright "TrixEMAboard 2007 fosgate_r"
#property link      "http://forexfreeea.blogspot.com/"
#property indicator_separate_window

extern string IdentifierForObjects = "TrixEMAObjects";

int      NormalSpread;
color    warna;
string   text,simbol;
double   PrevBid, PrevAsk;

int init()
{
   IndicatorShortName("TrixEMAboard");
      IdentifierForObjects = IdentifierForObjects+":";
   NormalSpread = (Ask-Bid)/Point;
   return(0);
}

int deinit()
{
   string lookFor       = IdentifierForObjects;
   int    lookForLength = StringLen(lookFor);
   for (int i=ObjectsTotal()-1; i>=0; i--)
   {
      string objectName = ObjectName(i);
         if (StringSubstr(objectName,0,lookForLength) == lookFor) ObjectDelete(objectName);
   }
   return(0);
}

int start()
{
    int  i;
    
        // ==================================================================================== //
        //                           F I R S T     C O L O U M B                                //
        // ==================================================================================== //

        // Left Title
        // ==========
         
        ObjectCreate(IdentifierForObjects+"SymbolTxt", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"SymbolTxt",Symbol(),12, "Arial Bold", White);
        ObjectSet(IdentifierForObjects+"SymbolTxt", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"SymbolTxt", OBJPROP_XDISTANCE, 10);
        ObjectSet(IdentifierForObjects+"SymbolTxt", OBJPROP_YDISTANCE, 110);
		  ObjectSet(IdentifierForObjects+"SymbolTxt", OBJPROP_ANGLE, 90);

        ObjectCreate(IdentifierForObjects+"SymUnderlineTxt", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"SymUnderlineTxt","___________",12, "Arial Bold", White);
        ObjectSet(IdentifierForObjects+"SymUnderlineTxt", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"SymUnderlineTxt", OBJPROP_XDISTANCE, 20);
        ObjectSet(IdentifierForObjects+"SymUnderlineTxt", OBJPROP_YDISTANCE, 120);
		  ObjectSet(IdentifierForObjects+"SymUnderlineTxt", OBJPROP_ANGLE, 90);


        // Account Margin
        // ==============
        
        ObjectCreate(IdentifierForObjects+"MarginTxt", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"MarginTxt","Margin",9, "Arial Bold", CadetBlue);
        ObjectSet(IdentifierForObjects+"MarginTxt", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"MarginTxt", OBJPROP_XDISTANCE, 50);
        ObjectSet(IdentifierForObjects+"MarginTxt", OBJPROP_YDISTANCE, 25);

        ObjectCreate(IdentifierForObjects+"Margin", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"Margin",DoubleToStr(AccountMargin(),2),9, "Arial Bold", White);
        ObjectSet(IdentifierForObjects+"Margin", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"Margin", OBJPROP_XDISTANCE, 140);
        ObjectSet(IdentifierForObjects+"Margin", OBJPROP_YDISTANCE, 25);


        // Account Free Margin
        // ===================
        
        ObjectCreate(IdentifierForObjects+"FreeMarginTxt", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"FreeMarginTxt","Free Margin",9, "Arial Bold", CadetBlue);
        ObjectSet(IdentifierForObjects+"FreeMarginTxt", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"FreeMarginTxt", OBJPROP_XDISTANCE, 50);
        ObjectSet(IdentifierForObjects+"FreeMarginTxt", OBJPROP_YDISTANCE, 40);

        ObjectCreate(IdentifierForObjects+"FreeMargin", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"FreeMargin",DoubleToStr(AccountFreeMargin(),0),9, "Arial Bold", White);
        ObjectSet(IdentifierForObjects+"FreeMargin", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"FreeMargin", OBJPROP_XDISTANCE, 140);
        ObjectSet(IdentifierForObjects+"FreeMargin", OBJPROP_YDISTANCE, 40);


        // Account P/L
        // ===========
        
        ObjectCreate(IdentifierForObjects+"AcctPLTxt", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"AcctPLTxt","Acct P/L",9, "Arial Bold", CadetBlue);
        ObjectSet(IdentifierForObjects+"AcctPLTxt", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"AcctPLTxt", OBJPROP_XDISTANCE, 50);
        ObjectSet(IdentifierForObjects+"AcctPLTxt", OBJPROP_YDISTANCE, 55);

        double accPL = AccountProfit();
        if (accPL<0) warna = Red; else warna = Lime;
        ObjectCreate(IdentifierForObjects+"AcctPL", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"AcctPL",DoubleToStr(accPL,2),9, "Arial Bold", warna);
        ObjectSet(IdentifierForObjects+"AcctPL", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"AcctPL", OBJPROP_XDISTANCE, 140);
        ObjectSet(IdentifierForObjects+"AcctPL", OBJPROP_YDISTANCE, 55);


        // Account Equity
        // ==============
         
        ObjectCreate(IdentifierForObjects+"AcctEquityTxt", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"AcctEquityTxt","Acct Equity",9, "Arial Bold", CadetBlue);
        ObjectSet(IdentifierForObjects+"AcctEquityTxt", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"AcctEquityTxt", OBJPROP_XDISTANCE, 50);
        ObjectSet(IdentifierForObjects+"AcctEquityTxt", OBJPROP_YDISTANCE, 70);

        ObjectCreate(IdentifierForObjects+"AcctEquity", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"AcctEquity",DoubleToStr(AccountEquity(),2),9, "Arial Bold", White);
        ObjectSet(IdentifierForObjects+"AcctEquity", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"AcctEquity", OBJPROP_XDISTANCE, 140);
        ObjectSet(IdentifierForObjects+"AcctEquity", OBJPROP_YDISTANCE, 70);


        // Account Balance
        // ===============
        
        ObjectCreate(IdentifierForObjects+"AcctBalTxt", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"AcctBalTxt","Acct Balance",9, "Arial Bold", CadetBlue);
        ObjectSet(IdentifierForObjects+"AcctBalTxt", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"AcctBalTxt", OBJPROP_XDISTANCE, 50);
        ObjectSet(IdentifierForObjects+"AcctBalTxt", OBJPROP_YDISTANCE, 85);

        ObjectCreate(IdentifierForObjects+"AcctBal", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"AcctBal",DoubleToStr(AccountBalance(),2),9, "Arial Bold", White);
        ObjectSet(IdentifierForObjects+"AcctBal", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"AcctBal", OBJPROP_XDISTANCE, 140);
        ObjectSet(IdentifierForObjects+"AcctBal", OBJPROP_YDISTANCE, 85);


        // Account Pair P/L
        // ================

        double PairPL = 0;
        for (i = 0; i <= OrdersTotal(); i++)
        {
            OrderSelect(i,SELECT_BY_POS,MODE_TRADES);
            if (OrderSymbol() == Symbol())
                 PairPL = PairPL + OrderProfit();
        }
        
        ObjectCreate(IdentifierForObjects+"PairPLTxt", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"PairPLTxt","Pair P/L",9, "Arial Bold", CadetBlue);
        ObjectSet(IdentifierForObjects+"PairPLTxt", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"PairPLTxt", OBJPROP_XDISTANCE, 50);
        ObjectSet(IdentifierForObjects+"PairPLTxt", OBJPROP_YDISTANCE, 100);

        if (PairPL<0) warna = Red; else warna = Lime;
        ObjectCreate(IdentifierForObjects+"PairPL", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"PairPL",DoubleToStr(PairPL,2),9, "Arial Bold", warna);
        ObjectSet(IdentifierForObjects+"PairPL", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"PairPL", OBJPROP_XDISTANCE, 140);
        ObjectSet(IdentifierForObjects+"PairPL", OBJPROP_YDISTANCE, 100);

        // ==================================================================================== //
        //                           S E C O N D   C O L O U M B                                //
        // ==================================================================================== //
        
        // TRIX
        // ====
        
        ObjectCreate(IdentifierForObjects+"TRIXTxt", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"TRIXTxt","TRIX",22, "Arial Bold", CadetBlue);
        ObjectSet(IdentifierForObjects+"TRIXTxt", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"TRIXTxt", OBJPROP_XDISTANCE, 220);
        ObjectSet(IdentifierForObjects+"TRIXTxt", OBJPROP_YDISTANCE, 25);
        
        ObjectCreate(IdentifierForObjects+"TRIXTxt1", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"TRIXTxt1","M1      M5     M15   M30     H1      H4      D1",10, "Arial Bold", White);
        ObjectSet(IdentifierForObjects+"TRIXTxt1", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"TRIXTxt1", OBJPROP_XDISTANCE, 335);
        ObjectSet(IdentifierForObjects+"TRIXTxt1", OBJPROP_YDISTANCE, 5);

        double TrixBlue, TrixRed;

        TrixBlue  = iCustom(NULL,PERIOD_D1,"TRIX_A",0,0);
        TrixRed   = iCustom(NULL,PERIOD_D1,"TRIX_A",1,0);  
        if (TrixBlue>=TrixRed)   { warna = Lime; simbol = "\xC7"; }
        else                     { warna = Red;  simbol = "\xC8"; }
        ObjectCreate (IdentifierForObjects+"TRIXD1", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"TRIXD1",simbol,25, "Wingdings 3", warna);
        ObjectSet(IdentifierForObjects+"TRIXD1", OBJPROP_XDISTANCE, 570);
        ObjectSet(IdentifierForObjects+"TRIXD1", OBJPROP_YDISTANCE, 22);

        TrixBlue  = iCustom(NULL,PERIOD_H4,"TRIX_A",0,0);
        TrixRed   = iCustom(NULL,PERIOD_H4,"TRIX_A",1,0);  
        if (TrixBlue>=TrixRed)   { warna = Lime; simbol = "\xC7"; }
        else                     { warna = Red;  simbol = "\xC8"; }
        ObjectCreate (IdentifierForObjects+"TRIXH4", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"TRIXH4",simbol,25, "Wingdings 3", warna);
        ObjectSet(IdentifierForObjects+"TRIXH4", OBJPROP_XDISTANCE, 530);
        ObjectSet(IdentifierForObjects+"TRIXH4", OBJPROP_YDISTANCE, 22);

        TrixBlue  = iCustom(NULL,PERIOD_H1,"TRIX_A",0,0);
        TrixRed   = iCustom(NULL,PERIOD_H1,"TRIX_A",1,0);  
        if (TrixBlue>=TrixRed)   { warna = Lime; simbol = "\xC7"; }
        else                     { warna = Red;  simbol = "\xC8"; }
        ObjectCreate (IdentifierForObjects+"TRIXH1", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"TRIXH1",simbol,25, "Wingdings 3", warna);
        ObjectSet(IdentifierForObjects+"TRIXH1", OBJPROP_XDISTANCE, 490);
        ObjectSet(IdentifierForObjects+"TRIXH1", OBJPROP_YDISTANCE, 22);

        TrixBlue  = iCustom(NULL,PERIOD_M30,"TRIX_A",0,0);
        TrixRed   = iCustom(NULL,PERIOD_M30,"TRIX_A",1,0);  
        if (TrixBlue>=TrixRed)   { warna = Lime; simbol = "\xC7"; }
        else                     { warna = Red;  simbol = "\xC8"; }
        ObjectCreate (IdentifierForObjects+"TRIXM30", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"TRIXM30",simbol,25, "Wingdings 3", warna);
        ObjectSet(IdentifierForObjects+"TRIXM30", OBJPROP_XDISTANCE, 450);
        ObjectSet(IdentifierForObjects+"TRIXM30", OBJPROP_YDISTANCE, 22);

        TrixBlue  = iCustom(NULL,PERIOD_M15,"TRIX_A",0,0);
        TrixRed   = iCustom(NULL,PERIOD_M15,"TRIX_A",1,0);  
        if (TrixBlue>=TrixRed)   { warna = Lime; simbol = "\xC7"; }
        else                     { warna = Red;  simbol = "\xC8"; }
        ObjectCreate (IdentifierForObjects+"TRIXM15", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"TRIXM15",simbol,25, "Wingdings 3", warna);
        ObjectSet(IdentifierForObjects+"TRIXM15", OBJPROP_XDISTANCE, 410);
        ObjectSet(IdentifierForObjects+"TRIXM15", OBJPROP_YDISTANCE, 22);


        TrixBlue  = iCustom(NULL,PERIOD_M5,"TRIX_A",0,0);
        TrixRed   = iCustom(NULL,PERIOD_M5,"TRIX_A",1,0);  
        if (TrixBlue>=TrixRed)   { warna = Lime; simbol = "\xC7"; }
        else                     { warna = Red;  simbol = "\xC8"; }
        ObjectCreate (IdentifierForObjects+"TRIXM5", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"TRIXM5",simbol,25, "Wingdings 3", warna);
        ObjectSet(IdentifierForObjects+"TRIXM5", OBJPROP_XDISTANCE, 370);
        ObjectSet(IdentifierForObjects+"TRIXM5", OBJPROP_YDISTANCE, 22);

        TrixBlue  = iCustom(NULL,PERIOD_M1,"TRIX_A",0,0);
        TrixRed   = iCustom(NULL,PERIOD_M1,"TRIX_A",1,0);  
        if (TrixBlue>=TrixRed)   { warna = Lime; simbol = "\xC7"; }
        else                     { warna = Red;  simbol = "\xC8"; }
        ObjectCreate (IdentifierForObjects+"TRIXM1", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"TRIXM1",simbol,25, "Wingdings 3", warna);
        ObjectSet(IdentifierForObjects+"TRIXM1", OBJPROP_XDISTANCE, 330);
        ObjectSet(IdentifierForObjects+"TRIXM1", OBJPROP_YDISTANCE, 22);

        // EMA 34
        // ======
        
        ObjectCreate(IdentifierForObjects+"EMA34Txt", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"EMA34Txt","EMA34",22, "Arial Bold", CadetBlue);
        ObjectSet(IdentifierForObjects+"EMA34Txt", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"EMA34Txt", OBJPROP_XDISTANCE, 220);
        ObjectSet(IdentifierForObjects+"EMA34Txt", OBJPROP_YDISTANCE, 57);

        double EMA34close, EMA34open;

        EMA34close   = iMA(NULL,PERIOD_D1,34,0,MODE_EMA,PRICE_CLOSE,0);
        EMA34open    = iMA(NULL,PERIOD_D1,34,0,MODE_EMA,PRICE_OPEN,0);
        if (EMA34close>=EMA34open)   { warna = Lime; simbol = "\xC7"; }
        else                         { warna = Red;  simbol = "\xC8"; }
        ObjectCreate (IdentifierForObjects+"EMA34D1", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"EMA34D1",simbol,25, "Wingdings 3", warna);
        ObjectSet(IdentifierForObjects+"EMA34D1", OBJPROP_XDISTANCE, 570);
        ObjectSet(IdentifierForObjects+"EMA34D1", OBJPROP_YDISTANCE, 55);

        EMA34close   = iMA(NULL,PERIOD_H4,34,0,MODE_EMA,PRICE_CLOSE,0);
        EMA34open    = iMA(NULL,PERIOD_H4,34,0,MODE_EMA,PRICE_OPEN,0);
        if (EMA34close>=EMA34open)   { warna = Lime; simbol = "\xC7"; }
        else                         { warna = Red;  simbol = "\xC8"; }
        ObjectCreate (IdentifierForObjects+"EMA34H4", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"EMA34H4",simbol,25, "Wingdings 3", warna);
        ObjectSet(IdentifierForObjects+"EMA34H4", OBJPROP_XDISTANCE, 530);
        ObjectSet(IdentifierForObjects+"EMA34H4", OBJPROP_YDISTANCE, 55);

        EMA34close   = iMA(NULL,PERIOD_H1,34,0,MODE_EMA,PRICE_CLOSE,0);
        EMA34open    = iMA(NULL,PERIOD_H1,34,0,MODE_EMA,PRICE_OPEN,0);
        if (EMA34close>=EMA34open)   { warna = Lime; simbol = "\xC7"; }
        else                         { warna = Red;  simbol = "\xC8"; }
        ObjectCreate (IdentifierForObjects+"EMA34H1", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"EMA34H1",simbol,25, "Wingdings 3", warna);
        ObjectSet(IdentifierForObjects+"EMA34H1", OBJPROP_XDISTANCE, 490);
        ObjectSet(IdentifierForObjects+"EMA34H1", OBJPROP_YDISTANCE, 55);

        EMA34close   = iMA(NULL,PERIOD_M30,34,0,MODE_EMA,PRICE_CLOSE,0);
        EMA34open    = iMA(NULL,PERIOD_M30,34,0,MODE_EMA,PRICE_OPEN,0);
        if (EMA34close>=EMA34open)   { warna = Lime; simbol = "\xC7"; }
        else                         { warna = Red;  simbol = "\xC8"; }
        ObjectCreate (IdentifierForObjects+"EMA34M30", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"EMA34M30",simbol,25, "Wingdings 3", warna);
        ObjectSet(IdentifierForObjects+"EMA34M30", OBJPROP_XDISTANCE, 450);
        ObjectSet(IdentifierForObjects+"EMA34M30", OBJPROP_YDISTANCE, 55);

        EMA34close   = iMA(NULL,PERIOD_M15,34,0,MODE_EMA,PRICE_CLOSE,0);
        EMA34open    = iMA(NULL,PERIOD_M15,34,0,MODE_EMA,PRICE_OPEN,0);
        if (EMA34close>=EMA34open)   { warna = Lime; simbol = "\xC7"; }
        else                         { warna = Red;  simbol = "\xC8"; }
        ObjectCreate (IdentifierForObjects+"EMA34M15", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"EMA34M15",simbol,25, "Wingdings 3", warna);
        ObjectSet(IdentifierForObjects+"EMA34M15", OBJPROP_XDISTANCE, 410);
        ObjectSet(IdentifierForObjects+"EMA34M15", OBJPROP_YDISTANCE, 55);

        EMA34close   = iMA(NULL,PERIOD_M5,34,0,MODE_EMA,PRICE_CLOSE,0);
        EMA34open    = iMA(NULL,PERIOD_M5,34,0,MODE_EMA,PRICE_OPEN,0);
        if (EMA34close>=EMA34open)   { warna = Lime; simbol = "\xC7"; }
        else                         { warna = Red;  simbol = "\xC8"; }
        ObjectCreate (IdentifierForObjects+"EMA34M5", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"EMA34M5",simbol,25, "Wingdings 3", warna);
        ObjectSet(IdentifierForObjects+"EMA34M5", OBJPROP_XDISTANCE, 370);
        ObjectSet(IdentifierForObjects+"EMA34M5", OBJPROP_YDISTANCE, 55);

        EMA34close   = iMA(NULL,PERIOD_M1,34,0,MODE_EMA,PRICE_CLOSE,0);
        EMA34open    = iMA(NULL,PERIOD_M1,34,0,MODE_EMA,PRICE_OPEN,0);
        if (EMA34close>=EMA34open)   { warna = Lime; simbol = "\xC7"; }
        else                         { warna = Red;  simbol = "\xC8"; }
        ObjectCreate (IdentifierForObjects+"EMA34M1", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"EMA34M1",simbol,25, "Wingdings 3", warna);
        ObjectSet(IdentifierForObjects+"EMA34M1", OBJPROP_XDISTANCE, 330);
        ObjectSet(IdentifierForObjects+"EMA34M1", OBJPROP_YDISTANCE, 55);

        // EMA 89
        // ======
        
        ObjectCreate(IdentifierForObjects+"EMA89Txt", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"EMA89Txt","EMA89",22, "Arial Bold", CadetBlue);
        ObjectSet(IdentifierForObjects+"EMA89Txt", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"EMA89Txt", OBJPROP_XDISTANCE, 220);
        ObjectSet(IdentifierForObjects+"EMA89Txt", OBJPROP_YDISTANCE, 87);

        double EMA89close, EMA89open;

        EMA89close   = iMA(NULL,PERIOD_D1,89,0,MODE_EMA,PRICE_CLOSE,0);
        EMA89open    = iMA(NULL,PERIOD_D1,89,0,MODE_EMA,PRICE_OPEN,0);
        if (EMA89close>=EMA89open)   { warna = Lime; simbol = "\xC7"; }
        else                         { warna = Red;  simbol = "\xC8"; }
        ObjectCreate (IdentifierForObjects+"EMA89D1", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"EMA89D1",simbol,25, "Wingdings 3", warna);
        ObjectSet(IdentifierForObjects+"EMA89D1", OBJPROP_XDISTANCE, 570);
        ObjectSet(IdentifierForObjects+"EMA89D1", OBJPROP_YDISTANCE, 85);

        EMA89close   = iMA(NULL,PERIOD_H4,89,0,MODE_EMA,PRICE_CLOSE,0);
        EMA89open    = iMA(NULL,PERIOD_H4,89,0,MODE_EMA,PRICE_OPEN,0);
        if (EMA89close>=EMA89open)   { warna = Lime; simbol = "\xC7"; }
        else                         { warna = Red;  simbol = "\xC8"; }
        ObjectCreate (IdentifierForObjects+"EMA89H4", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"EMA89H4",simbol,25, "Wingdings 3", warna);
        ObjectSet(IdentifierForObjects+"EMA89H4", OBJPROP_XDISTANCE, 530);
        ObjectSet(IdentifierForObjects+"EMA89H4", OBJPROP_YDISTANCE, 85);

        EMA89close   = iMA(NULL,PERIOD_H1,89,0,MODE_EMA,PRICE_CLOSE,0);
        EMA89open    = iMA(NULL,PERIOD_H1,89,0,MODE_EMA,PRICE_OPEN,0);
        if (EMA89close>=EMA89open)   { warna = Lime; simbol = "\xC7"; }
        else                         { warna = Red;  simbol = "\xC8"; }
        ObjectCreate (IdentifierForObjects+"EMA89H1", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"EMA89H1",simbol,25, "Wingdings 3", warna);
        ObjectSet(IdentifierForObjects+"EMA89H1", OBJPROP_XDISTANCE, 490);
        ObjectSet(IdentifierForObjects+"EMA89H1", OBJPROP_YDISTANCE, 85);

        EMA89close   = iMA(NULL,PERIOD_M30,89,0,MODE_EMA,PRICE_CLOSE,0);
        EMA89open    = iMA(NULL,PERIOD_M30,89,0,MODE_EMA,PRICE_OPEN,0);
        if (EMA89close>=EMA89open)   { warna = Lime; simbol = "\xC7"; }
        else                         { warna = Red;  simbol = "\xC8"; }
        ObjectCreate (IdentifierForObjects+"EMA89M30", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"EMA89M30",simbol,25, "Wingdings 3", warna);
        ObjectSet(IdentifierForObjects+"EMA89M30", OBJPROP_XDISTANCE, 450);
        ObjectSet(IdentifierForObjects+"EMA89M30", OBJPROP_YDISTANCE, 85);

        EMA89close   = iMA(NULL,PERIOD_M15,89,0,MODE_EMA,PRICE_CLOSE,0);
        EMA89open    = iMA(NULL,PERIOD_M15,89,0,MODE_EMA,PRICE_OPEN,0);
        if (EMA89close>=EMA89open)   { warna = Lime; simbol = "\xC7"; }
        else                         { warna = Red;  simbol = "\xC8"; }
        ObjectCreate (IdentifierForObjects+"EMA89M15", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"EMA89M15",simbol,25, "Wingdings 3", warna);
        ObjectSet(IdentifierForObjects+"EMA89M15", OBJPROP_XDISTANCE, 410);
        ObjectSet(IdentifierForObjects+"EMA89M15", OBJPROP_YDISTANCE, 85);

        EMA89close   = iMA(NULL,PERIOD_M5,89,0,MODE_EMA,PRICE_CLOSE,0);
        EMA89open    = iMA(NULL,PERIOD_M5,89,0,MODE_EMA,PRICE_OPEN,0);
        if (EMA89close>=EMA89open)   { warna = Lime; simbol = "\xC7"; }
        else                         { warna = Red;  simbol = "\xC8"; }
        ObjectCreate (IdentifierForObjects+"EMA89M5", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"EMA89M5",simbol,25, "Wingdings 3", warna);
        ObjectSet(IdentifierForObjects+"EMA89M5", OBJPROP_XDISTANCE, 370);
        ObjectSet(IdentifierForObjects+"EMA89M5", OBJPROP_YDISTANCE, 85);

        EMA89close   = iMA(NULL,PERIOD_M1,89,0,MODE_EMA,PRICE_CLOSE,0);
        EMA89open    = iMA(NULL,PERIOD_M1,89,0,MODE_EMA,PRICE_OPEN,0);
        if (EMA89close>=EMA89open)   { warna = Lime; simbol = "\xC7"; }
        else                         { warna = Red;  simbol = "\xC8"; }
        ObjectCreate (IdentifierForObjects+"EMA89M1", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"EMA89M1",simbol,25, "Wingdings 3", warna);
        ObjectSet(IdentifierForObjects+"EMA89M1", OBJPROP_XDISTANCE, 330);
        ObjectSet(IdentifierForObjects+"EMA89M1", OBJPROP_YDISTANCE, 85);
        


        // ==================================================================================== //
        //                           F O R T H     C O L O U M B                                //
        // ==================================================================================== //

        // Account Name
        // ============
         
        ObjectCreate(IdentifierForObjects+"AccName", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"AccName",AccountName(),12, "Arial Bold", Yellow);
        ObjectSet(IdentifierForObjects+"AccName", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"AccName", OBJPROP_XDISTANCE, 630);
        ObjectSet(IdentifierForObjects+"AccName", OBJPROP_YDISTANCE, 5);

        // Average Range
        // =============

         int      R1, R5, R10, R20, RAvg;
         int      RoomUp, RoomDown;
         double   low0, high0;
                              R1  =       (iHigh(NULL,PERIOD_D1,1)-iLow(NULL,PERIOD_D1,1))/Point;
         for (i=1;i<=5;i++)   R5  = R5  + (iHigh(NULL,PERIOD_D1,i)-iLow(NULL,PERIOD_D1,i))/Point;
         for (i=1;i<=10;i++)  R10 = R10 + (iHigh(NULL,PERIOD_D1,i)-iLow(NULL,PERIOD_D1,i))/Point;
         for (i=1;i<=20;i++)  R20 = R20 + (iHigh(NULL,PERIOD_D1,i)-iLow(NULL,PERIOD_D1,i))/Point;

         R5    = R5/5;
         R10   = R10/10;
         R20   = R20/20;
         RAvg  = (R1+R5+R10+R20)/4;    

         low0     =  iLow(NULL,PERIOD_D1,0);
         high0    =  iHigh(NULL,PERIOD_D1,0);
         RoomUp   =  RAvg - (Bid  - low0) / Point;
         RoomDown =  RAvg - (high0 - Bid) / Point;
        
        ObjectCreate(IdentifierForObjects+"AveRangeTxt", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"AveRangeTxt","Ave Range",9, "Arial Bold", Blue);
        ObjectSet(IdentifierForObjects+"AveRangeTxt", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"AveRangeTxt", OBJPROP_XDISTANCE, 630);
        ObjectSet(IdentifierForObjects+"AveRangeTxt", OBJPROP_YDISTANCE, 30);

        ObjectCreate(IdentifierForObjects+"AveRange", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"AveRange",DoubleToStr(RAvg,0),9, "Arial Bold", LightBlue);
        ObjectSet(IdentifierForObjects+"AveRange", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"AveRange", OBJPROP_XDISTANCE, 720);
        ObjectSet(IdentifierForObjects+"AveRange", OBJPROP_YDISTANCE, 30);


        // Day Range
        // =========
        
        ObjectCreate(IdentifierForObjects+"DayRangeTxt", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"DayRangeTxt","Day Range",9, "Arial Bold", Blue);
        ObjectSet(IdentifierForObjects+"DayRangeTxt", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"DayRangeTxt", OBJPROP_XDISTANCE, 630);
        ObjectSet(IdentifierForObjects+"DayRangeTxt", OBJPROP_YDISTANCE, 45);

        ObjectCreate(IdentifierForObjects+"DayRange", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"DayRange",DoubleToStr(R1,0),9, "Arial Bold", LightBlue);
        ObjectSet(IdentifierForObjects+"DayRange", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"DayRange", OBJPROP_XDISTANCE, 720);
        ObjectSet(IdentifierForObjects+"DayRange", OBJPROP_YDISTANCE, 45);

        // Pips to Bottom
        // ==============
        
        ObjectCreate(IdentifierForObjects+"PipsToBotTxt", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"PipsToBotTxt","Pips To Bot",9, "Arial Bold", Blue);
        ObjectSet(IdentifierForObjects+"PipsToBotTxt", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"PipsToBotTxt", OBJPROP_XDISTANCE, 630);
        ObjectSet(IdentifierForObjects+"PipsToBotTxt", OBJPROP_YDISTANCE, 60);

        ObjectCreate(IdentifierForObjects+"PipsToBot", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"PipsToBot",DoubleToStr(RoomDown,0),9, "Arial Bold", LightBlue);
        ObjectSet(IdentifierForObjects+"PipsToBot", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"PipsToBot", OBJPROP_XDISTANCE, 720);
        ObjectSet(IdentifierForObjects+"PipsToBot", OBJPROP_YDISTANCE, 60);

        // Pips to Top
        // ===========
        
        ObjectCreate(IdentifierForObjects+"PipsToTopTxt", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"PipsToTopTxt","Pips To Top",9, "Arial Bold", Blue);
        ObjectSet(IdentifierForObjects+"PipsToTopTxt", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"PipsToTopTxt", OBJPROP_XDISTANCE, 630);
        ObjectSet(IdentifierForObjects+"PipsToTopTxt", OBJPROP_YDISTANCE, 75);

        ObjectCreate(IdentifierForObjects+"PipsToTop", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"PipsToTop",DoubleToStr(RoomUp,0),9, "Arial Bold", LightBlue);
        ObjectSet(IdentifierForObjects+"PipsToTop", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"PipsToTop", OBJPROP_XDISTANCE, 720);
        ObjectSet(IdentifierForObjects+"PipsToTop", OBJPROP_YDISTANCE, 75);

        // Spread
        // ======

        ObjectCreate(IdentifierForObjects+"SpreadTxt", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"SpreadTxt","Spread",9, "Arial Bold", Blue);
        ObjectSet(IdentifierForObjects+"SpreadTxt", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"SpreadTxt", OBJPROP_XDISTANCE, 630);
        ObjectSet(IdentifierForObjects+"SpreadTxt", OBJPROP_YDISTANCE, 90);

        int Spread = (Ask-Bid)/Point;
        if (Spread>NormalSpread) warna = Red; else warna = LightBlue;
        ObjectCreate(IdentifierForObjects+"Spread", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"Spread",DoubleToStr(Spread,0),9, "Arial Bold", warna);
        ObjectSet(IdentifierForObjects+"Spread", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"Spread", OBJPROP_XDISTANCE, 720);
        ObjectSet(IdentifierForObjects+"Spread", OBJPROP_YDISTANCE, 90);


        // ==================================================================================== //
        //                           F I F T H     C O L O U M B                                //
        // ==================================================================================== //

        // Account Company
        // ===============
        
        ObjectCreate(IdentifierForObjects+"AccCompany", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"AccCompany",AccountCompany(),12, "Arial Bold", Yellow);
        ObjectSet(IdentifierForObjects+"AccCompany", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"AccCompany", OBJPROP_XDISTANCE, 820);
        ObjectSet(IdentifierForObjects+"AccCompany", OBJPROP_YDISTANCE, 5);

        // Server Time
        // ===========
        
        ObjectCreate(IdentifierForObjects+"ServerTimeTxt", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"ServerTimeTxt","Server Time",9, "Arial Bold", Blue);
        ObjectSet(IdentifierForObjects+"ServerTimeTxt", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"ServerTimeTxt", OBJPROP_XDISTANCE, 820);
        ObjectSet(IdentifierForObjects+"ServerTimeTxt", OBJPROP_YDISTANCE, 30);

        text = DoubleToStr(TimeHour(TimeCurrent()),0) + " : " + DoubleToStr(TimeMinute(TimeCurrent()),0);
        ObjectCreate(IdentifierForObjects+"ServerTime", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"ServerTime",text,9, "Arial Bold", LightBlue);
        ObjectSet(IdentifierForObjects+"ServerTime", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"ServerTime", OBJPROP_XDISTANCE, 900);
        ObjectSet(IdentifierForObjects+"ServerTime", OBJPROP_YDISTANCE, 30);

        // Local Time
        // ==========
        
        ObjectCreate(IdentifierForObjects+"LocalTimeTxt", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"LocalTimeTxt","Local Time",9, "Arial Bold", Blue);
        ObjectSet(IdentifierForObjects+"LocalTimeTxt", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"LocalTimeTxt", OBJPROP_XDISTANCE, 820);
        ObjectSet(IdentifierForObjects+"LocalTimeTxt", OBJPROP_YDISTANCE, 45);

        text = DoubleToStr(TimeHour(TimeLocal()),0) + " : " + DoubleToStr(TimeMinute(TimeLocal()),0);
        ObjectCreate(IdentifierForObjects+"LocalTime", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"LocalTime",text,9, "Arial Bold", LightBlue);
        ObjectSet(IdentifierForObjects+"LocalTime", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"LocalTime", OBJPROP_XDISTANCE, 900);
        ObjectSet(IdentifierForObjects+"LocalTime", OBJPROP_YDISTANCE, 45);

        // Ask Price
        // =========
        
        ObjectCreate(IdentifierForObjects+"AskTxt", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"AskTxt","Ask",9, "Arial Bold", Blue);
        ObjectSet(IdentifierForObjects+"AskTxt", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"AskTxt", OBJPROP_XDISTANCE, 820);
        ObjectSet(IdentifierForObjects+"AskTxt", OBJPROP_YDISTANCE, 60);

        if (Ask>PrevAsk) warna = Lime; if (Ask<PrevAsk) warna = Red;
        ObjectCreate(IdentifierForObjects+"Ask", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"Ask",DoubleToStr(Ask,Digits),9, "Arial Bold", warna);
        ObjectSet(IdentifierForObjects+"Ask", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"Ask", OBJPROP_XDISTANCE, 900);
        ObjectSet(IdentifierForObjects+"Ask", OBJPROP_YDISTANCE, 60);
        PrevAsk = Ask;
        
        // Bid Price
        // =========

        ObjectCreate(IdentifierForObjects+"BidTxt", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"BidTxt","Bid",9, "Arial Bold", Blue);
        ObjectSet(IdentifierForObjects+"BidTxt", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"BidTxt", OBJPROP_XDISTANCE, 820);
        ObjectSet(IdentifierForObjects+"BidTxt", OBJPROP_YDISTANCE, 75);
        
        if (Bid>PrevBid) warna = Lime; if (Bid<PrevBid) warna = Red;
        ObjectCreate(IdentifierForObjects+"Bid", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"Bid",DoubleToStr(Bid,Digits),9, "Arial Bold", warna);
        ObjectSet(IdentifierForObjects+"Bid", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"Bid", OBJPROP_XDISTANCE, 900);
        ObjectSet(IdentifierForObjects+"Bid", OBJPROP_YDISTANCE, 75);
        PrevBid = Bid;

        // Tick Value
        // ==========

        ObjectCreate(IdentifierForObjects+"TickValueTxt", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"TickValueTxt","Tick Value",9, "Arial Bold", Blue);
        ObjectSet(IdentifierForObjects+"TickValueTxt", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"TickValueTxt", OBJPROP_XDISTANCE, 820);
        ObjectSet(IdentifierForObjects+"TickValueTxt", OBJPROP_YDISTANCE, 90);

        ObjectCreate(IdentifierForObjects+"TickValue", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"TickValue",DoubleToStr(MarketInfo(Symbol(),MODE_TICKVALUE),2),9, "Arial Bold", LightBlue);
        ObjectSet(IdentifierForObjects+"TickValue", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"TickValue", OBJPROP_XDISTANCE, 900);
        ObjectSet(IdentifierForObjects+"TickValue", OBJPROP_YDISTANCE, 90);

        // Copyright
        // ==========

        ObjectCreate(IdentifierForObjects+"CopyrightTxt", OBJ_LABEL, WindowFind("TrixEMAboard"), 0, 0);
        ObjectSetText(IdentifierForObjects+"CopyrightTxt","\xA92007 forexfreeea.blogspot.com",7, "Arial Bold", Purple);
        ObjectSet(IdentifierForObjects+"CopyrightTxt", OBJPROP_CORNER, 0);
        ObjectSet(IdentifierForObjects+"CopyrightTxt", OBJPROP_XDISTANCE, 630);
        ObjectSet(IdentifierForObjects+"CopyrightTxt", OBJPROP_YDISTANCE, 110);

         
   return(0);
}